Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.reasoner
Class FGraph

    java.lang.Object
      com.hp.hpl.jena.reasoner.FGraph

All Implemented Interfaces:
  Finder

    public class FGraph

extends java.lang.Object
implements Finder

Wrapper round a Graph to implement the slighly modified Finder interface.

Version:
  $Revision: 1.12 $ on $Date: 2008/01/02 12:07:00 $
Author:
  Dave Reynolds

Constructor Summary
`FGraph(Graph graph)` Constructor

Method Summary
`boolean` | `contains(TriplePattern pattern)` Return true if the given pattern occurs somewhere in the find sequence.
`ExtendedIterator` | `find(TriplePattern pattern)` Basic pattern lookup interface.
`ExtendedIterator` | `findWithContinuation(TriplePattern pattern, Finder continuation)` Extended find interface used in situations where the implementator may or may not be able to answer the complete query.
`Graph` | `getGraph()` Returns the graph.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FGraph

    public FGraph(Graph graph)

  Constructor

Method Detail

### find

    public ExtendedIterator find(TriplePattern pattern)

  Basic pattern lookup interface.

  Specified by:
    `find` in interface `Finder`
  Parameters:
    `pattern` - a TriplePattern to be matched against the data
  Returns:
    a ClosableIterator over all Triples in the data set that match the pattern

### findWithContinuation

    public ExtendedIterator findWithContinuation(TriplePattern pattern,
                                                 Finder continuation)

  Extended find interface used in situations where the implementator may or may not be able to answer the complete query. It will attempt to answer the pattern but if its answers are not known to be complete then it will also pass the request on to the nested Finder to append more results.

  Specified by:
    `findWithContinuation` in interface `Finder`
  Parameters:
    `pattern` - a TriplePattern to be matched against the data
    `continuation` - either a Finder or a normal Graph which will be asked for additional match results if the implementor may not have completely satisfied the query.

### getGraph

    public Graph getGraph()

  Returns the graph.

  Returns:
    Graph

### contains

    public boolean contains(TriplePattern pattern)

  Return true if the given pattern occurs somewhere in the find sequence.

  Specified by:
    `contains` in interface `Finder`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP